Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Products
  • Offerings
  • PricingPlans
  • Invoices
  • InvoiceGroups
  • Orders
  • Quotes
  • Entitlements
  • Other operations
Platform
Commerce / Reference / REST API

PricingPlans

Postman Collection
OpenAPI
GET

Get pricing plan by ID

Rate limit: 900 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

OK

application/json

Offerings_PublicPricingPlanResponse
GET/v2/pricing-plans/{id}
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-plans/{id}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 { "id": "<string>", "updatedAt": 2154, "description": "<string>", "offeringId": "<string>", "productId": "<string>", "offeringName": "<string>", "ari": "<string>", "primaryCycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "status": "DRAFT", "currency": "USD", "type": "<string>", "maxNewQuoteDate": 2154, "activatedWithReason": "DEFAULT_PRICING", "items": [ { "cycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "chargeType": "METERED", "chargeElement": "<string>", "tiersMode": "GRADUATED", "chargeElementAggregationType": "LATEST", "transformQuantity": { "divideBy": 28, "round": "UP" }, "tiers": [ { "floor": 2154, "ceiling": 2154, "unitAmount": 92, "unitAmountDecimal": "<string>", "flatAmount": 97 } ], "prorateOnUsageChange": "CREATE_PRORATIONS", "prorationBehaviour": { "onExceeding": "CREATE_PRORATIONS", "hasRemediationPeriod": true } } ], "version": 2154, "relationships": [ { "fromPricingPlanKey": "<string>", "toPricingPlanKey": "<string>", "fromPricingPlanId": "<string>", "toPricingPlanId": "<string>", "type": "ADVANTAGE_PRICING", "metadata": {} } ], "supportedBillingSystems": [ "HAMS" ], "activationDate": 2154, "createdBy": "<string>", "managedBy": "<string>", "catalogAccountId": "<string>" }
PUT

Update an existing DRAFT pricing plan

Updates the pricing plan which are in draft state

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Header parameters

X-Catalog-Account

string

Required

Request bodyapplication/json

primaryCycleId

string

Required
items

array<PublicPricingPlanItemInput>

version

integer

Responses

OK

application/json

PublicPricingPlanResponse
PUT/v2/pricing-plans/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 curl --request PUT \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-plans/{id}' \ --header 'Accept: application/json' \ --header 'X-Catalog-Account: <X-Catalog-Account>' \ --header 'Content-Type: application/json' \ --data '{ "primaryCycleId": "<string>", "items": [ { "cycleId": "<string>", "starter": true, "chargeType": "<string>", "chargeElement": "<string>", "tiersMode": "<string>", "prorateOnUsageChange": "<string>", "prorationBehaviour": { "onExceeding": "<string>", "hasRemediationPeriod": true }, "chargeElementAggregationType": "<string>", "transformQuantity": { "divideBy": 28, "round": "<string>" }, "tiers": [ { "floor": 40, "ceiling": 40, "unitAmount": 31, "unitAmountDecimal": "<string>", "flatAmount": 31 } ] } ], "version": 40 }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 { "id": "<string>", "updatedAt": 2154, "description": "<string>", "offeringId": "<string>", "productId": "<string>", "offeringName": "<string>", "ari": "<string>", "primaryCycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "status": "DRAFT", "currency": "USD", "type": "<string>", "maxNewQuoteDate": 2154, "activatedWithReason": "DEFAULT_PRICING", "items": [ { "cycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "chargeType": "METERED", "chargeElement": "<string>", "tiersMode": "GRADUATED", "chargeElementAggregationType": "LATEST", "transformQuantity": { "divideBy": 28, "round": "UP" }, "tiers": [ { "floor": 2154, "ceiling": 2154, "unitAmount": 42, "unitAmountDecimal": "<string>", "flatAmount": 47 } ], "prorateOnUsageChange": "CREATE_PRORATIONS", "prorationBehaviour": { "onExceeding": "CREATE_PRORATIONS", "hasRemediationPeriod": true } } ], "version": 2154, "relationships": [ { "fromPricingPlanKey": "<string>", "toPricingPlanKey": "<string>", "fromPricingPlanId": "<string>", "toPricingPlanId": "<string>", "type": "ADVANTAGE_PRICING", "metadata": {} } ], "supportedBillingSystems": [ "HAMS" ], "activationDate": 2154, "createdBy": "<string>", "managedBy": "<string>", "catalogAccountId": "<string>" }
GET

Get pricing plans by offering

List all pricing plans under the provided offering key

Rate limit: 600 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

offeringId

string

Required

Query parameters

status

string

activation-reason-code

array<string>

page-size

integer

start-id

string

Responses

OK

application/json

Offerings_PaginatedResponsePublicPricingPlanResponse
GET/v2/offerings/{offeringId}/pricing-plans
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/commerce/api/v2/offerings/{offeringId}/pricing-plans' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 { "values": [ { "id": "<string>", "updatedAt": 2154, "description": "<string>", "offeringId": "<string>", "productId": "<string>", "offeringName": "<string>", "ari": "<string>", "primaryCycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "status": "DRAFT", "currency": "USD", "type": "<string>", "maxNewQuoteDate": 2154, "activatedWithReason": "DEFAULT_PRICING", "items": [ { "cycle": { "name": "<string>", "interval": "DAY" }, "chargeType": "METERED", "chargeElement": "<string>", "tiersMode": "GRADUATED", "chargeElementAggregationType": "LATEST", "transformQuantity": { "divideBy": 28, "round": "UP" }, "tiers": [ { "floor": 2154 } ], "prorateOnUsageChange": "CREATE_PRORATIONS", "prorationBehaviour": { "onExceeding": "CREATE_PRORATIONS" } } ], "version": 2154, "relationships": [ { "fromPricingPlanKey": "<string>", "toPricingPlanKey": "<string>", "fromPricingPlanId": "<string>", "toPricingPlanId": "<string>", "type": "ADVANTAGE_PRICING", "metadata": {} } ], "supportedBillingSystems": [ "HAMS" ], "activationDate": 2154, "createdBy": "<string>", "managedBy": "<string>", "catalogAccountId": "<string>" } ], "nextId": "<string>" }
DEL

Delete an existing DRAFT pricing plan

Delete a pricing plan

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

key

string

Required

Header parameters

X-Catalog-Account

string

Responses

No Content

DEL/v1/pricing-plans/{id}
1 2 curl --request DELETE \ --url 'https://api.atlassian.com/commerce/api/v1/pricing-plans/{id}'
GET

Get pricing change by ID

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

pricingChangeId

string

Required

Responses

OK

application/json

Offerings_PublicPricingChangeDetailResponse
GET/v2/pricing-changes/{pricingChangeId}
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-changes/{pricingChangeId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "<string>", "offeringId": "<string>", "offeringChangeId": "<string>", "description": "<string>", "ari": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 2154 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ {} ] } } ], "effectiveDate": 2154, "catalogAccountId": "<string>", "createdAt": 2154, "createdBy": "<string>", "updatedAt": 2154, "updatedBy": "<string>", "version": 2154, "status": "DRAFT" }
PUT

Update an existing pricing change

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

pricingChangeId

string

Required

Header parameters

X-Catalog-Account

string

Required

Request bodyapplication/json

description

string

changes

array<Offerings_PublicChangeInput>

effectiveDate

integer

Deprecated

Responses

OK

application/json

Offerings_PublicPricingChangeDetailResponse
PUT/v2/pricing-changes/{pricingChangeId}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 curl --request PUT \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-changes/{pricingChangeId}' \ --header 'Accept: application/json' \ --header 'X-Catalog-Account: <X-Catalog-Account>' \ --header 'Content-Type: application/json' \ --data '{ "description": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 88 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ { "cohort": {} } ] } } ], "effectiveDate": 83 }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "<string>", "offeringId": "<string>", "offeringChangeId": "<string>", "description": "<string>", "ari": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 2154 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ {} ] } } ], "effectiveDate": 2154, "catalogAccountId": "<string>", "createdAt": 2154, "createdBy": "<string>", "updatedAt": 2154, "updatedBy": "<string>", "version": 2154, "status": "DRAFT" }
POST

Create pricing change

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

X-Catalog-Account

string

Required

Request bodyapplication/json

id

string

offeringId

string

offeringChangeId

string

description

string

changes

array<Offerings_PublicChangeInput>

Required
effectiveDate

integer

Deprecated

Responses

OK

application/json

Offerings_PublicPricingChangeDetailResponse
POST/v2/pricing-changes
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 curl --request POST \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-changes' \ --header 'Accept: application/json' \ --header 'X-Catalog-Account: <X-Catalog-Account>' \ --header 'Content-Type: application/json' \ --data '{ "id": "<string>", "offeringId": "<string>", "offeringChangeId": "<string>", "description": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 88 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ { "cohort": {} } ] } } ], "effectiveDate": 44 }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "<string>", "offeringId": "<string>", "offeringChangeId": "<string>", "description": "<string>", "ari": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 2154 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ {} ] } } ], "effectiveDate": 2154, "catalogAccountId": "<string>", "createdAt": 2154, "createdBy": "<string>", "updatedAt": 2154, "updatedBy": "<string>", "version": 2154, "status": "DRAFT" }
DEL

Delete an existing pricing change

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

pricingChangeId

string

Required

Header parameters

X-Catalog-Account

string

Required

Responses

No Content

DEL/v1/pricing-changes/{pricingChangeId}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/commerce/api/v1/pricing-changes/{pricingChangeId}' \ --header 'X-Catalog-Account: <X-Catalog-Account>'
PUT

Execute a pricing change

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

pricingChangeId

string

Required

Header parameters

X-Catalog-Account

string

Required

Request bodyapplication/json

effectiveDate

integer

Responses

Accepted

application/json

Offerings_PublicPricingChangeDetailResponse
PUT/v2/pricing-changes/{pricingChangeId}/execute
1 2 3 4 5 6 7 8 curl --request PUT \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-changes/{pricingChangeId}/execute' \ --header 'Accept: application/json' \ --header 'X-Catalog-Account: <X-Catalog-Account>' \ --header 'Content-Type: application/json' \ --data '{ "effectiveDate": 43 }'
202Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "<string>", "offeringId": "<string>", "offeringChangeId": "<string>", "description": "<string>", "ari": "<string>", "changes": [ { "activate": { "pricingPlanId": "<string>", "activationReasonCode": "DEFAULT_PRICING" }, "deactivate": { "pricingPlanId": "<string>", "maxNewQuoteDate": 2154 }, "migrate": { "fromPricingPlanId": "<string>", "destinations": [ {} ] } } ], "effectiveDate": 2154, "catalogAccountId": "<string>", "createdAt": 2154, "createdBy": "<string>", "updatedAt": 2154, "updatedBy": "<string>", "version": 2154, "status": "DRAFT" }
POST

Create pricing plan

Rate limit: 100 requests per minute.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

X-Catalog-Account

string

Required

Request bodyapplication/json

id

string

offeringId

string

Required
primaryCycleId

string

Required
currency

string

Required
items

array<PublicPricingPlanItemInput>

Responses

OK

application/json

PublicPricingPlanResponse
POST/v2/pricing-plans
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 curl --request POST \ --url 'https://api.atlassian.com/commerce/api/v2/pricing-plans' \ --header 'Accept: application/json' \ --header 'X-Catalog-Account: <X-Catalog-Account>' \ --header 'Content-Type: application/json' \ --data '{ "id": "<string>", "offeringId": "<string>", "primaryCycleId": "<string>", "currency": "<string>", "items": [ { "cycleId": "<string>", "starter": true, "chargeType": "<string>", "chargeElement": "<string>", "tiersMode": "<string>", "prorateOnUsageChange": "<string>", "prorationBehaviour": { "onExceeding": "<string>", "hasRemediationPeriod": true }, "chargeElementAggregationType": "<string>", "transformQuantity": { "divideBy": 28, "round": "<string>" }, "tiers": [ { "floor": 40, "ceiling": 40, "unitAmount": 31, "unitAmountDecimal": "<string>", "flatAmount": 31 } ] } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 { "id": "<string>", "updatedAt": 2154, "description": "<string>", "offeringId": "<string>", "productId": "<string>", "offeringName": "<string>", "ari": "<string>", "primaryCycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "status": "DRAFT", "currency": "USD", "type": "<string>", "maxNewQuoteDate": 2154, "activatedWithReason": "DEFAULT_PRICING", "items": [ { "cycle": { "name": "<string>", "interval": "DAY", "count": 2154 }, "chargeType": "METERED", "chargeElement": "<string>", "tiersMode": "GRADUATED", "chargeElementAggregationType": "LATEST", "transformQuantity": { "divideBy": 28, "round": "UP" }, "tiers": [ { "floor": 2154, "ceiling": 2154, "unitAmount": 42, "unitAmountDecimal": "<string>", "flatAmount": 47 } ], "prorateOnUsageChange": "CREATE_PRORATIONS", "prorationBehaviour": { "onExceeding": "CREATE_PRORATIONS", "hasRemediationPeriod": true } } ], "version": 2154, "relationships": [ { "fromPricingPlanKey": "<string>", "toPricingPlanKey": "<string>", "fromPricingPlanId": "<string>", "toPricingPlanId": "<string>", "type": "ADVANTAGE_PRICING", "metadata": {} } ], "supportedBillingSystems": [ "HAMS" ], "activationDate": 2154, "createdBy": "<string>", "managedBy": "<string>", "catalogAccountId": "<string>" }

Rate this page: